Subject: Product support
From: Cori <[email-masked]>
To: [email-masked]
Date: Mon, 15 Sep 2025 14:14:28 -0600

Hi,
I am writing regarding the Madison Park Cordless Roman Shade. I installed
the shade and like it/would like to keep it or exchange it if the issue can
be resolved. The shade goes up and down, but when I put it up, it doesn't
hold and slowly drops back down (as shown in the attached picture). The
package was also missing the pull-down tab (as well as one drywall anchor
screw, but I did not need the drywall anchors).
Can you please advise if there are troubleshooting options to prevent the
shade from falling, or if a replacement shade and pull-down tab can be sent?

Order info:
Purchased from Amazon
Order #: 114-5061008-4155436
27in / Linen color

Thank you!
Cori